Bug 1411991 - X session does not work without 'xorg-x11-drv-intel' in a Intel G33 (Gen 2?, i915?) GPU.
Summary: X session does not work without 'xorg-x11-drv-intel' in a Intel G33 (Gen 2?, ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 23:02 UTC by Diogo Campos
Modified: 2019-01-09 12:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 09:09:25 UTC
Type: Bug


Attachments (Terms of Use)
glxinfo output (under the Wayland session) (51.59 KB, text/plain)
2017-01-10 23:02 UTC, Diogo Campos
no flags Details
'journalctl -b' output (under the Wayland session) (214.79 KB, text/plain)
2017-01-10 23:04 UTC, Diogo Campos
no flags Details

Description Diogo Campos 2017-01-10 23:02:41 UTC
Created attachment 1239269 [details]
glxinfo output (under the Wayland session)

# Description of problem:

As a preparation for this[1], I tried to remove the 'xorg-x11-drv-intel' package from a Fedora Workstation 25 system running in a Intel G33 (Gen 2?, i915?) GPU (Intel Pentium E5700 CPU)...

The result was a non-working login to a X session (system goes back to GDM after ~1 second).

Also keep in mind the Wayland session is slower (unaccelerated) than the X session in this hardware.

[1]: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/AUPYPJMFJZMHPEKN24LBABZKIEOV4NU5/


# Version-Release number of selected component (if applicable):

kernel 4.8.15-300.fc25
mesa-dri-drivers 13.0.3-1.fc25
xorg-x11-server-Xorg 1.19.0-3.fc25

Comment 1 Diogo Campos 2017-01-10 23:04:28 UTC
Created attachment 1239270 [details]
'journalctl -b' output (under the Wayland session)

Comment 2 Hans de Goede 2017-01-11 09:09:25 UTC
Hi,

I see now that I forgot to mention (other then a link to the Debian blog post) that this is only for gen4 and newer Intel GPUs. Sorry for the confusion. So no need to worry about your gen2 GPU that will keep using the xorg-x11-drv-intel driver.

I've updated my blog post on this, adding the following line: "The "for all recent Intel GPUs" in the subject of this blog post in practice means that we're making this change for gen4 and newer Intel GPUs."

Unfortunately retro-actively changing email is harder.

Regards,

Hans

Comment 3 Diogo Campos 2017-01-11 15:11:18 UTC
(In reply to Hans de Goede from comment #2)
> (other then a link to the Debian blog post)

Oops. I could have noticed that. My bad.
Thank you.


Note You need to log in before you can comment on or make changes to this bug.